# List all Terminal Hardware Shipping Methods List all `TerminalHardwareShippingMethod` objects. ## Returns A dictionary with a `data` property that contains an array of terminal hardware shipping methods. Each entry in the array is a separate ShippingMethod object. ## Parameters - `country` (string, optional) Only return Shipping Methods that have the given country. If provided, country must be a two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - `name` (enum, optional) Only return Shipping Methods that have the given name. Possible enum values: - `express` Express - `priority` Priority - `standard` Standard - `status` (enum, optional) Only return Shipping Methods that have the given status. Defaults to Available. Possible enum values: - `available` Available for new orders. - `unavailable` Can no longer be used for order creation. ## Request ```curl curl https://api.stripe.com/v1/terminal/hardware_shipping_methods \ -u "<>" ``` ### Response ```json { "object": "list", "url": "/v1/terminal/hardware_shipping_methods", "has_more": false, "data": [ { "id": "thsm_MfuTjLaPEgXMa4", "object": "terminal.hardware_shipping_method", "country": "US", "estimated_delivery_window": { "maximum_date": "2023-10-03", "minimum_date": "2023-10-03" }, "name": "standard", "status": "available", "unavailable_after": null } ] } ```